/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* #GENERAL */

body {
  overflow-x: hidden;
}

.cat-title-link a,
.dark-nav li a,
.dark-mode-link > a {
  color: #fff !important;
  text-decoration: none;
  transition: 0.3s ease-in-out;
  position: relative;
}

.cat-title-link a::after,
.dark-nav li a::after,
.dark-mode-link > a:after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: -5px;
  width: 0%;
  border-bottom: 2px solid #fff;
  transition: 0.3s ease-in-out;
}

.blog__item_term_list.cat-title-link a {
  padding-left: 0;
  padding-right: 0;
}

.cat-title-link:hover a::after,
.dark-nav li:hover a::after,
.dark-mode-link:hover a:after {
  width: 100%;
}

.dark-nav .current-menu-item a::after{ width: 100%; }

.wp-block-social-links,
.dark-nav ul {
  margin-bottom: 0;
}

a.outline-button {
  background-color: transparent;
  color: var(--contrast);
  font-size: 16px;
  font-weight: 600;
  border: 2px solid var(--contrast);
  padding: 5px 10px;
  transition: 0.3s ease-in-out;
  cursor: pointer;
}

a.outline-button .gb-shape svg {
  width: 27px;
  height: 17px;
}

a.outline-button .gb-shape svg path {
  transition: 0.3s ease-in-out;
}

a.outline-button:hover {
  background-color: var(--contrast);
  color: #fff;
}

a.outline-button.btn-full-width {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

a.outline-button:hover svg path {
  fill: #fff;
}

.single_job_listing .application .application_button.outline-button {
  background-color: transparent;
  color: var(--contrast);
  font-size: 16px;
  font-weight: 600;
  border: 2px solid var(--contrast);
  padding: 5px 10px 5px 10px;
  transition: 0.3s ease-in-out;
  cursor: pointer;
}

.single_job_listing .application .application_button.outline-button:hover {
  background-color: var(--contrast);
  color: #fff;
}

.hw-100 {
  height: 100%;
  width: 100%;
}

.wp-block-image img {
  object-fit: cover;
}

/* #HERO SECTION */

.hero-home-section-other,
.hero-home-section {
  position: relative;
  z-index: 2;
}

.hero-home-section-other::after,
.hero-home-section::after {
  content: "";
  background-image: url("assets/images/blue-rectangle.svg");
  background-repeat: no-repeat;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  height: 100%;
  background-size: cover;
  z-index: -1;
}

.hero-home-section-other::after {
  background-image: url("assets/images/blue-triangle.svg");
  width: 100%;
  /* background-position: ; */
  background-size: contain !important;
}

.hero-section-other-pages {
  position: relative;
  z-index: 3;
}

.hero-section-other-pages::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  background: linear-gradient(342deg, #00456f 50%, transparent 50%);
}

.hero-home-section-other .hero-home-section-other-excerpt p {
  color: #fff;
}

/* #HEADER */

.main-nav .slideout-menu li a,
.main-nav .menu.sf-menu li a {
  padding: 0;
  position: relative;
  line-height: 1.2;
}

.site-logo a {
  display: flex;
}

.sticky-navigation-logo {
  max-width: 312px;
}

.main-nav .slideout-menu li a::after,
.main-nav .menu.sf-menu li a::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: -5px;
  width: 0%;
  border-bottom: 2px solid var(--contrast);
  transition: 0.3s ease-in-out;
}

.main-nav .slideout-menu li a {
  padding: 0 !important;
}

.main-nav .slideout-menu li:hover a::after,
.main-nav .slideout-menu li.current-menu-item a::after,
.main-nav .menu.sf-menu li.current-menu-item a::after,
.main-nav .menu.sf-menu li:hover a::after {
  width: 100%;
}

.main-nav .menu.sf-menu li:not(:last-child) {
  margin-right: 36px;
}

/* #BLOG */

.blog__item_term_list a {
  background-color: var(--accent);
  padding: 5px 10px;
  margin-right: 10px;
  color: #fff;
  text-decoration: none;
  text-transform: uppercase;
  transition: 0.3s ease-in-out;
}

.blog__item_term_list a:hover {
  background-color: var(--contrast);
}

/*#PRODUCT SLIDER & PRODUCT CATEGORY PAGE */

.produkt-kat-archive-wrapper {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  gap: 30px;
}

.produkt-item-header {
  width: 100%;
  position: relative;
  z-index: 5;
}

.produkt-item-content {
  background-color: var(--contrast);
  color: #fff;
  padding: 20px;
}

.produkt-item-header {
  width: 100%;
  position: relative;
}

.produkt-item-header img {
  max-width: 284px;
  margin: 0 auto;
  aspect-ratio: 4 / 6;
  object-fit: contain;
  width: 100%;
  height: 230px;
}

.produkt-kat-archive-wrapper .produkt-item {
  background-color: var(--contrast);
}

.produkt-item-header::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  background: linear-gradient(342deg, #00456f 50%, #fff 50%);
}

.produkt-item-title {
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 20px;
}

.produkt-item-description {
  margin-bottom: 20px;
}

.produkt-highlights-title {
  color: var(--cyan);
  margin-bottom: 0;
}

.produkt-item-highlights {
  margin-left: 0;
  margin-bottom: 0;
  list-style: none;
}

.produkt-item-highlights li {
  border-bottom: 1px solid #fff;
}

.paging-navigation .page-numbers {
  background-color: transparent;
  color: var(--contrast);
  font-size: 16px;
  font-weight: 600;
  border: 2px solid var(--contrast);
  padding: 5px 10px;
  transition: 0.3s ease-in-out;
  cursor: pointer;
  margin-right: 10px;
  text-decoration: none;
}

.paging-navigation {
  margin-top: 60px;
}

.paging-navigation .page-numbers.current,
.paging-navigation .page-numbers:hover {
  background-color: var(--contrast);
  color: #fff;
}

/* #JOB SINGLE PAGE */

.application_button.button.outline-button {
  display: flex;
  align-items: center;
  gap: 10px;
}

.application_button.button.outline-button span svg path {
  transition: 0.3s ease-in-out;
}

.application_button.button.outline-button:hover span svg path {
  fill: #fff !important;
}

ul.job-listing-meta.meta li {
  padding-left: 0;
}

ul.job-listing-meta.meta li {
  color: var(--cyan);
}

/* #ERROR404 */

.error404 #page {
  height: 750px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.error404 .inside-article {
  padding-top: 0;
  padding-bottom: 0;
  background-color: var(--base-2);
}

.error-buttons {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 40px;
}

.error-buttons a {
  border-radius: 0;
  background-color: var(--contrast) !important;
  transition: 0.3s ease-in-out;
}

.error-buttons a:hover {
  background-color: var(--cyan) !important;
}

.title-404 {
  font-weight: 800;
  font-size: 200px;
}

@media (max-width: 1024px) {


  .site-logo,
  .sticky-navigation-logo {
    max-width: 210px;
  }

  .main-navigation .main-nav ul li a {
    line-height: normal !important;
  }

  .main-navigation .main-nav ul li {
    margin-bottom: 20px !important;
  }

  .site-header button.menu-toggle {
    padding: 0;
    background: transparent;
    display: flex;
    align-items: center;
  }

  .site-header button.menu-toggle .gp-icon svg {
    height: 100%;
    width: 27px;
  }
}

@media (max-width: 768px) {
  .slideout-navigation.do-overlay .slideout-exit {
    position: fixed !important;
    right: 0;
    top: 0;
    width: auto;
    font-size: 25px;
    border-radius: 0 0 0 ;
  }

  .main-navigation .main-nav ul ul li a{
    font-size: 14px !important;
  }

  

  .slideout-navigation.do-overlay .inside-navigation {
    padding: 20% 10% 0 !important;
  }

  .navigation-branding {
    margin-left: 20px !important;
  }

  .title-404 {
    font-weight: 800;
    font-size: 60px;
  }

  .error404 #page {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
